Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.52.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
77.52.0.0
Broadcast address
77.55.255.255
First usable
77.52.0.1
Last usable
77.55.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D340000 · Integer 1295253504 to 1295515647
Reverse DNS zones
52.77.in-addr.arpa
53.77.in-addr.arpa
54.77.in-addr.arpa
55.77.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.00110100.00000000.0000000077.52.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01001101.00110100.00000000.0000000077.52.0.0
Broadcast01001101.00110111.11111111.1111111177.55.255.255
Split into smaller subnets/22

77.52.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.52.0.0/2277.52.0.1 to 77.52.3.25477.52.3.2551,022
277.52.4.0/2277.52.4.1 to 77.52.7.25477.52.7.2551,022
377.52.8.0/2277.52.8.1 to 77.52.11.25477.52.11.2551,022
477.52.12.0/2277.52.12.1 to 77.52.15.25477.52.15.2551,022
577.52.16.0/2277.52.16.1 to 77.52.19.25477.52.19.2551,022
677.52.20.0/2277.52.20.1 to 77.52.23.25477.52.23.2551,022
777.52.24.0/2277.52.24.1 to 77.52.27.25477.52.27.2551,022
877.52.28.0/2277.52.28.1 to 77.52.31.25477.52.31.2551,022
977.52.32.0/2277.52.32.1 to 77.52.35.25477.52.35.2551,022
1077.52.36.0/2277.52.36.1 to 77.52.39.25477.52.39.2551,022
1177.52.40.0/2277.52.40.1 to 77.52.43.25477.52.43.2551,022
1277.52.44.0/2277.52.44.1 to 77.52.47.25477.52.47.2551,022
1377.52.48.0/2277.52.48.1 to 77.52.51.25477.52.51.2551,022
1477.52.52.0/2277.52.52.1 to 77.52.55.25477.52.55.2551,022
1577.52.56.0/2277.52.56.1 to 77.52.59.25477.52.59.2551,022
1677.52.60.0/2277.52.60.1 to 77.52.63.25477.52.63.2551,022
1777.52.64.0/2277.52.64.1 to 77.52.67.25477.52.67.2551,022
1877.52.68.0/2277.52.68.1 to 77.52.71.25477.52.71.2551,022
1977.52.72.0/2277.52.72.1 to 77.52.75.25477.52.75.2551,022
2077.52.76.0/2277.52.76.1 to 77.52.79.25477.52.79.2551,022
2177.52.80.0/2277.52.80.1 to 77.52.83.25477.52.83.2551,022
2277.52.84.0/2277.52.84.1 to 77.52.87.25477.52.87.2551,022
2377.52.88.0/2277.52.88.1 to 77.52.91.25477.52.91.2551,022
2477.52.92.0/2277.52.92.1 to 77.52.95.25477.52.95.2551,022
2577.52.96.0/2277.52.96.1 to 77.52.99.25477.52.99.2551,022
2677.52.100.0/2277.52.100.1 to 77.52.103.25477.52.103.2551,022
2777.52.104.0/2277.52.104.1 to 77.52.107.25477.52.107.2551,022
2877.52.108.0/2277.52.108.1 to 77.52.111.25477.52.111.2551,022
2977.52.112.0/2277.52.112.1 to 77.52.115.25477.52.115.2551,022
3077.52.116.0/2277.52.116.1 to 77.52.119.25477.52.119.2551,022
3177.52.120.0/2277.52.120.1 to 77.52.123.25477.52.123.2551,022
3277.52.124.0/2277.52.124.1 to 77.52.127.25477.52.127.2551,022
3377.52.128.0/2277.52.128.1 to 77.52.131.25477.52.131.2551,022
3477.52.132.0/2277.52.132.1 to 77.52.135.25477.52.135.2551,022
3577.52.136.0/2277.52.136.1 to 77.52.139.25477.52.139.2551,022
3677.52.140.0/2277.52.140.1 to 77.52.143.25477.52.143.2551,022
3777.52.144.0/2277.52.144.1 to 77.52.147.25477.52.147.2551,022
3877.52.148.0/2277.52.148.1 to 77.52.151.25477.52.151.2551,022
3977.52.152.0/2277.52.152.1 to 77.52.155.25477.52.155.2551,022
4077.52.156.0/2277.52.156.1 to 77.52.159.25477.52.159.2551,022
4177.52.160.0/2277.52.160.1 to 77.52.163.25477.52.163.2551,022
4277.52.164.0/2277.52.164.1 to 77.52.167.25477.52.167.2551,022
4377.52.168.0/2277.52.168.1 to 77.52.171.25477.52.171.2551,022
4477.52.172.0/2277.52.172.1 to 77.52.175.25477.52.175.2551,022
4577.52.176.0/2277.52.176.1 to 77.52.179.25477.52.179.2551,022
4677.52.180.0/2277.52.180.1 to 77.52.183.25477.52.183.2551,022
4777.52.184.0/2277.52.184.1 to 77.52.187.25477.52.187.2551,022
4877.52.188.0/2277.52.188.1 to 77.52.191.25477.52.191.2551,022
4977.52.192.0/2277.52.192.1 to 77.52.195.25477.52.195.2551,022
5077.52.196.0/2277.52.196.1 to 77.52.199.25477.52.199.2551,022
5177.52.200.0/2277.52.200.1 to 77.52.203.25477.52.203.2551,022
5277.52.204.0/2277.52.204.1 to 77.52.207.25477.52.207.2551,022
5377.52.208.0/2277.52.208.1 to 77.52.211.25477.52.211.2551,022
5477.52.212.0/2277.52.212.1 to 77.52.215.25477.52.215.2551,022
5577.52.216.0/2277.52.216.1 to 77.52.219.25477.52.219.2551,022
5677.52.220.0/2277.52.220.1 to 77.52.223.25477.52.223.2551,022
5777.52.224.0/2277.52.224.1 to 77.52.227.25477.52.227.2551,022
5877.52.228.0/2277.52.228.1 to 77.52.231.25477.52.231.2551,022
5977.52.232.0/2277.52.232.1 to 77.52.235.25477.52.235.2551,022
6077.52.236.0/2277.52.236.1 to 77.52.239.25477.52.239.2551,022
6177.52.240.0/2277.52.240.1 to 77.52.243.25477.52.243.2551,022
6277.52.244.0/2277.52.244.1 to 77.52.247.25477.52.247.2551,022
6377.52.248.0/2277.52.248.1 to 77.52.251.25477.52.251.2551,022
6477.52.252.0/2277.52.252.1 to 77.52.255.25477.52.255.2551,022
6577.53.0.0/2277.53.0.1 to 77.53.3.25477.53.3.2551,022
6677.53.4.0/2277.53.4.1 to 77.53.7.25477.53.7.2551,022
6777.53.8.0/2277.53.8.1 to 77.53.11.25477.53.11.2551,022
6877.53.12.0/2277.53.12.1 to 77.53.15.25477.53.15.2551,022
6977.53.16.0/2277.53.16.1 to 77.53.19.25477.53.19.2551,022
7077.53.20.0/2277.53.20.1 to 77.53.23.25477.53.23.2551,022
7177.53.24.0/2277.53.24.1 to 77.53.27.25477.53.27.2551,022
7277.53.28.0/2277.53.28.1 to 77.53.31.25477.53.31.2551,022
7377.53.32.0/2277.53.32.1 to 77.53.35.25477.53.35.2551,022
7477.53.36.0/2277.53.36.1 to 77.53.39.25477.53.39.2551,022
7577.53.40.0/2277.53.40.1 to 77.53.43.25477.53.43.2551,022
7677.53.44.0/2277.53.44.1 to 77.53.47.25477.53.47.2551,022
7777.53.48.0/2277.53.48.1 to 77.53.51.25477.53.51.2551,022
7877.53.52.0/2277.53.52.1 to 77.53.55.25477.53.55.2551,022
7977.53.56.0/2277.53.56.1 to 77.53.59.25477.53.59.2551,022
8077.53.60.0/2277.53.60.1 to 77.53.63.25477.53.63.2551,022
8177.53.64.0/2277.53.64.1 to 77.53.67.25477.53.67.2551,022
8277.53.68.0/2277.53.68.1 to 77.53.71.25477.53.71.2551,022
8377.53.72.0/2277.53.72.1 to 77.53.75.25477.53.75.2551,022
8477.53.76.0/2277.53.76.1 to 77.53.79.25477.53.79.2551,022
8577.53.80.0/2277.53.80.1 to 77.53.83.25477.53.83.2551,022
8677.53.84.0/2277.53.84.1 to 77.53.87.25477.53.87.2551,022
8777.53.88.0/2277.53.88.1 to 77.53.91.25477.53.91.2551,022
8877.53.92.0/2277.53.92.1 to 77.53.95.25477.53.95.2551,022
8977.53.96.0/2277.53.96.1 to 77.53.99.25477.53.99.2551,022
9077.53.100.0/2277.53.100.1 to 77.53.103.25477.53.103.2551,022
9177.53.104.0/2277.53.104.1 to 77.53.107.25477.53.107.2551,022
9277.53.108.0/2277.53.108.1 to 77.53.111.25477.53.111.2551,022
9377.53.112.0/2277.53.112.1 to 77.53.115.25477.53.115.2551,022
9477.53.116.0/2277.53.116.1 to 77.53.119.25477.53.119.2551,022
9577.53.120.0/2277.53.120.1 to 77.53.123.25477.53.123.2551,022
9677.53.124.0/2277.53.124.1 to 77.53.127.25477.53.127.2551,022
9777.53.128.0/2277.53.128.1 to 77.53.131.25477.53.131.2551,022
9877.53.132.0/2277.53.132.1 to 77.53.135.25477.53.135.2551,022
9977.53.136.0/2277.53.136.1 to 77.53.139.25477.53.139.2551,022
10077.53.140.0/2277.53.140.1 to 77.53.143.25477.53.143.2551,022
10177.53.144.0/2277.53.144.1 to 77.53.147.25477.53.147.2551,022
10277.53.148.0/2277.53.148.1 to 77.53.151.25477.53.151.2551,022
10377.53.152.0/2277.53.152.1 to 77.53.155.25477.53.155.2551,022
10477.53.156.0/2277.53.156.1 to 77.53.159.25477.53.159.2551,022
10577.53.160.0/2277.53.160.1 to 77.53.163.25477.53.163.2551,022
10677.53.164.0/2277.53.164.1 to 77.53.167.25477.53.167.2551,022
10777.53.168.0/2277.53.168.1 to 77.53.171.25477.53.171.2551,022
10877.53.172.0/2277.53.172.1 to 77.53.175.25477.53.175.2551,022
10977.53.176.0/2277.53.176.1 to 77.53.179.25477.53.179.2551,022
11077.53.180.0/2277.53.180.1 to 77.53.183.25477.53.183.2551,022
11177.53.184.0/2277.53.184.1 to 77.53.187.25477.53.187.2551,022
11277.53.188.0/2277.53.188.1 to 77.53.191.25477.53.191.2551,022
11377.53.192.0/2277.53.192.1 to 77.53.195.25477.53.195.2551,022
11477.53.196.0/2277.53.196.1 to 77.53.199.25477.53.199.2551,022
11577.53.200.0/2277.53.200.1 to 77.53.203.25477.53.203.2551,022
11677.53.204.0/2277.53.204.1 to 77.53.207.25477.53.207.2551,022
11777.53.208.0/2277.53.208.1 to 77.53.211.25477.53.211.2551,022
11877.53.212.0/2277.53.212.1 to 77.53.215.25477.53.215.2551,022
11977.53.216.0/2277.53.216.1 to 77.53.219.25477.53.219.2551,022
12077.53.220.0/2277.53.220.1 to 77.53.223.25477.53.223.2551,022
12177.53.224.0/2277.53.224.1 to 77.53.227.25477.53.227.2551,022
12277.53.228.0/2277.53.228.1 to 77.53.231.25477.53.231.2551,022
12377.53.232.0/2277.53.232.1 to 77.53.235.25477.53.235.2551,022
12477.53.236.0/2277.53.236.1 to 77.53.239.25477.53.239.2551,022
12577.53.240.0/2277.53.240.1 to 77.53.243.25477.53.243.2551,022
12677.53.244.0/2277.53.244.1 to 77.53.247.25477.53.247.2551,022
12777.53.248.0/2277.53.248.1 to 77.53.251.25477.53.251.2551,022
12877.53.252.0/2277.53.252.1 to 77.53.255.25477.53.255.2551,022
12977.54.0.0/2277.54.0.1 to 77.54.3.25477.54.3.2551,022
13077.54.4.0/2277.54.4.1 to 77.54.7.25477.54.7.2551,022
13177.54.8.0/2277.54.8.1 to 77.54.11.25477.54.11.2551,022
13277.54.12.0/2277.54.12.1 to 77.54.15.25477.54.15.2551,022
13377.54.16.0/2277.54.16.1 to 77.54.19.25477.54.19.2551,022
13477.54.20.0/2277.54.20.1 to 77.54.23.25477.54.23.2551,022
13577.54.24.0/2277.54.24.1 to 77.54.27.25477.54.27.2551,022
13677.54.28.0/2277.54.28.1 to 77.54.31.25477.54.31.2551,022
13777.54.32.0/2277.54.32.1 to 77.54.35.25477.54.35.2551,022
13877.54.36.0/2277.54.36.1 to 77.54.39.25477.54.39.2551,022
13977.54.40.0/2277.54.40.1 to 77.54.43.25477.54.43.2551,022
14077.54.44.0/2277.54.44.1 to 77.54.47.25477.54.47.2551,022
14177.54.48.0/2277.54.48.1 to 77.54.51.25477.54.51.2551,022
14277.54.52.0/2277.54.52.1 to 77.54.55.25477.54.55.2551,022
14377.54.56.0/2277.54.56.1 to 77.54.59.25477.54.59.2551,022
14477.54.60.0/2277.54.60.1 to 77.54.63.25477.54.63.2551,022
14577.54.64.0/2277.54.64.1 to 77.54.67.25477.54.67.2551,022
14677.54.68.0/2277.54.68.1 to 77.54.71.25477.54.71.2551,022
14777.54.72.0/2277.54.72.1 to 77.54.75.25477.54.75.2551,022
14877.54.76.0/2277.54.76.1 to 77.54.79.25477.54.79.2551,022
14977.54.80.0/2277.54.80.1 to 77.54.83.25477.54.83.2551,022
15077.54.84.0/2277.54.84.1 to 77.54.87.25477.54.87.2551,022
15177.54.88.0/2277.54.88.1 to 77.54.91.25477.54.91.2551,022
15277.54.92.0/2277.54.92.1 to 77.54.95.25477.54.95.2551,022
15377.54.96.0/2277.54.96.1 to 77.54.99.25477.54.99.2551,022
15477.54.100.0/2277.54.100.1 to 77.54.103.25477.54.103.2551,022
15577.54.104.0/2277.54.104.1 to 77.54.107.25477.54.107.2551,022
15677.54.108.0/2277.54.108.1 to 77.54.111.25477.54.111.2551,022
15777.54.112.0/2277.54.112.1 to 77.54.115.25477.54.115.2551,022
15877.54.116.0/2277.54.116.1 to 77.54.119.25477.54.119.2551,022
15977.54.120.0/2277.54.120.1 to 77.54.123.25477.54.123.2551,022
16077.54.124.0/2277.54.124.1 to 77.54.127.25477.54.127.2551,022
16177.54.128.0/2277.54.128.1 to 77.54.131.25477.54.131.2551,022
16277.54.132.0/2277.54.132.1 to 77.54.135.25477.54.135.2551,022
16377.54.136.0/2277.54.136.1 to 77.54.139.25477.54.139.2551,022
16477.54.140.0/2277.54.140.1 to 77.54.143.25477.54.143.2551,022
16577.54.144.0/2277.54.144.1 to 77.54.147.25477.54.147.2551,022
16677.54.148.0/2277.54.148.1 to 77.54.151.25477.54.151.2551,022
16777.54.152.0/2277.54.152.1 to 77.54.155.25477.54.155.2551,022
16877.54.156.0/2277.54.156.1 to 77.54.159.25477.54.159.2551,022
16977.54.160.0/2277.54.160.1 to 77.54.163.25477.54.163.2551,022
17077.54.164.0/2277.54.164.1 to 77.54.167.25477.54.167.2551,022
17177.54.168.0/2277.54.168.1 to 77.54.171.25477.54.171.2551,022
17277.54.172.0/2277.54.172.1 to 77.54.175.25477.54.175.2551,022
17377.54.176.0/2277.54.176.1 to 77.54.179.25477.54.179.2551,022
17477.54.180.0/2277.54.180.1 to 77.54.183.25477.54.183.2551,022
17577.54.184.0/2277.54.184.1 to 77.54.187.25477.54.187.2551,022
17677.54.188.0/2277.54.188.1 to 77.54.191.25477.54.191.2551,022
17777.54.192.0/2277.54.192.1 to 77.54.195.25477.54.195.2551,022
17877.54.196.0/2277.54.196.1 to 77.54.199.25477.54.199.2551,022
17977.54.200.0/2277.54.200.1 to 77.54.203.25477.54.203.2551,022
18077.54.204.0/2277.54.204.1 to 77.54.207.25477.54.207.2551,022
18177.54.208.0/2277.54.208.1 to 77.54.211.25477.54.211.2551,022
18277.54.212.0/2277.54.212.1 to 77.54.215.25477.54.215.2551,022
18377.54.216.0/2277.54.216.1 to 77.54.219.25477.54.219.2551,022
18477.54.220.0/2277.54.220.1 to 77.54.223.25477.54.223.2551,022
18577.54.224.0/2277.54.224.1 to 77.54.227.25477.54.227.2551,022
18677.54.228.0/2277.54.228.1 to 77.54.231.25477.54.231.2551,022
18777.54.232.0/2277.54.232.1 to 77.54.235.25477.54.235.2551,022
18877.54.236.0/2277.54.236.1 to 77.54.239.25477.54.239.2551,022
18977.54.240.0/2277.54.240.1 to 77.54.243.25477.54.243.2551,022
19077.54.244.0/2277.54.244.1 to 77.54.247.25477.54.247.2551,022
19177.54.248.0/2277.54.248.1 to 77.54.251.25477.54.251.2551,022
19277.54.252.0/2277.54.252.1 to 77.54.255.25477.54.255.2551,022
19377.55.0.0/2277.55.0.1 to 77.55.3.25477.55.3.2551,022
19477.55.4.0/2277.55.4.1 to 77.55.7.25477.55.7.2551,022
19577.55.8.0/2277.55.8.1 to 77.55.11.25477.55.11.2551,022
19677.55.12.0/2277.55.12.1 to 77.55.15.25477.55.15.2551,022
19777.55.16.0/2277.55.16.1 to 77.55.19.25477.55.19.2551,022
19877.55.20.0/2277.55.20.1 to 77.55.23.25477.55.23.2551,022
19977.55.24.0/2277.55.24.1 to 77.55.27.25477.55.27.2551,022
20077.55.28.0/2277.55.28.1 to 77.55.31.25477.55.31.2551,022
20177.55.32.0/2277.55.32.1 to 77.55.35.25477.55.35.2551,022
20277.55.36.0/2277.55.36.1 to 77.55.39.25477.55.39.2551,022
20377.55.40.0/2277.55.40.1 to 77.55.43.25477.55.43.2551,022
20477.55.44.0/2277.55.44.1 to 77.55.47.25477.55.47.2551,022
20577.55.48.0/2277.55.48.1 to 77.55.51.25477.55.51.2551,022
20677.55.52.0/2277.55.52.1 to 77.55.55.25477.55.55.2551,022
20777.55.56.0/2277.55.56.1 to 77.55.59.25477.55.59.2551,022
20877.55.60.0/2277.55.60.1 to 77.55.63.25477.55.63.2551,022
20977.55.64.0/2277.55.64.1 to 77.55.67.25477.55.67.2551,022
21077.55.68.0/2277.55.68.1 to 77.55.71.25477.55.71.2551,022
21177.55.72.0/2277.55.72.1 to 77.55.75.25477.55.75.2551,022
21277.55.76.0/2277.55.76.1 to 77.55.79.25477.55.79.2551,022
21377.55.80.0/2277.55.80.1 to 77.55.83.25477.55.83.2551,022
21477.55.84.0/2277.55.84.1 to 77.55.87.25477.55.87.2551,022
21577.55.88.0/2277.55.88.1 to 77.55.91.25477.55.91.2551,022
21677.55.92.0/2277.55.92.1 to 77.55.95.25477.55.95.2551,022
21777.55.96.0/2277.55.96.1 to 77.55.99.25477.55.99.2551,022
21877.55.100.0/2277.55.100.1 to 77.55.103.25477.55.103.2551,022
21977.55.104.0/2277.55.104.1 to 77.55.107.25477.55.107.2551,022
22077.55.108.0/2277.55.108.1 to 77.55.111.25477.55.111.2551,022
22177.55.112.0/2277.55.112.1 to 77.55.115.25477.55.115.2551,022
22277.55.116.0/2277.55.116.1 to 77.55.119.25477.55.119.2551,022
22377.55.120.0/2277.55.120.1 to 77.55.123.25477.55.123.2551,022
22477.55.124.0/2277.55.124.1 to 77.55.127.25477.55.127.2551,022
22577.55.128.0/2277.55.128.1 to 77.55.131.25477.55.131.2551,022
22677.55.132.0/2277.55.132.1 to 77.55.135.25477.55.135.2551,022
22777.55.136.0/2277.55.136.1 to 77.55.139.25477.55.139.2551,022
22877.55.140.0/2277.55.140.1 to 77.55.143.25477.55.143.2551,022
22977.55.144.0/2277.55.144.1 to 77.55.147.25477.55.147.2551,022
23077.55.148.0/2277.55.148.1 to 77.55.151.25477.55.151.2551,022
23177.55.152.0/2277.55.152.1 to 77.55.155.25477.55.155.2551,022
23277.55.156.0/2277.55.156.1 to 77.55.159.25477.55.159.2551,022
23377.55.160.0/2277.55.160.1 to 77.55.163.25477.55.163.2551,022
23477.55.164.0/2277.55.164.1 to 77.55.167.25477.55.167.2551,022
23577.55.168.0/2277.55.168.1 to 77.55.171.25477.55.171.2551,022
23677.55.172.0/2277.55.172.1 to 77.55.175.25477.55.175.2551,022
23777.55.176.0/2277.55.176.1 to 77.55.179.25477.55.179.2551,022
23877.55.180.0/2277.55.180.1 to 77.55.183.25477.55.183.2551,022
23977.55.184.0/2277.55.184.1 to 77.55.187.25477.55.187.2551,022
24077.55.188.0/2277.55.188.1 to 77.55.191.25477.55.191.2551,022
24177.55.192.0/2277.55.192.1 to 77.55.195.25477.55.195.2551,022
24277.55.196.0/2277.55.196.1 to 77.55.199.25477.55.199.2551,022
24377.55.200.0/2277.55.200.1 to 77.55.203.25477.55.203.2551,022
24477.55.204.0/2277.55.204.1 to 77.55.207.25477.55.207.2551,022
24577.55.208.0/2277.55.208.1 to 77.55.211.25477.55.211.2551,022
24677.55.212.0/2277.55.212.1 to 77.55.215.25477.55.215.2551,022
24777.55.216.0/2277.55.216.1 to 77.55.219.25477.55.219.2551,022
24877.55.220.0/2277.55.220.1 to 77.55.223.25477.55.223.2551,022
24977.55.224.0/2277.55.224.1 to 77.55.227.25477.55.227.2551,022
25077.55.228.0/2277.55.228.1 to 77.55.231.25477.55.231.2551,022
25177.55.232.0/2277.55.232.1 to 77.55.235.25477.55.235.2551,022
25277.55.236.0/2277.55.236.1 to 77.55.239.25477.55.239.2551,022
25377.55.240.0/2277.55.240.1 to 77.55.243.25477.55.243.2551,022
25477.55.244.0/2277.55.244.1 to 77.55.247.25477.55.247.2551,022
25577.55.248.0/2277.55.248.1 to 77.55.251.25477.55.251.2551,022
25677.55.252.0/2277.55.252.1 to 77.55.255.25477.55.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses